patch
https://api.instantpay.in/cards/gift
The API will be used to activate a Physical or Virtual Gift Card in our system.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header ParametersFor Header references Click here
Request Parameters
| Name | Type | Mandatory (M), Optional (O) | Description |
|---|---|---|---|
| type | String | M | Physical/ Virtual |
| name | String | M | Customer Name |
| mobile | String | M | Customer Mobile Number |
| String | M | Customer Email Address | |
| amount | String | M | Amount |
| kitNumber | String | O (Mandatory If customers.type is Physical) | Kit Number mentioned in the Physical card |
| shortCardNumber | String | O (Mandatory If customers.type is Physical) | Last 4 digits of the Card Number. |
| latitude | String | M | Current Location Latitude |
| longitude | String | M | Current Location Longitude |
| externalRef | String | M | Unique Reference Number |
| iPin | String | M | Intantpay Pin Number |
Sample Request
curl --location --request PATCH 'https://api.instantpay.in/cards/gift' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{{
"type": "Virtual",
"name": "John Doe",
"email": "[email protected]",
"mobile": "91XXXXXXXX",
"amount": "500",
"kitNumber": "XXXXXXXXXX",
"shortCardNumber": "XXXX",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}",
"iPin": "0126"
}'PATCH /cards/gift HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
"type": "Virtual",
"name": "Sample Name",
"email": "[email protected]",
"mobile": "74285 85742",
"amount": "500",
"kitNumber": "xxxxxxxxxx",
"shortCardNumber": "xxxx",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}",
"iPin": "0126"
}'Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay Status Code |
| actcode | String | Action Code |
| status | String | Status Message |
| data | Array | Response Data (If Present) |
| timestamp | String | Current Time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request Reference Number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| environment | String | Live |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Physical GiftCard successfully issued to customer",
"data": {
"kitNumber": "xxxxxxxxxx",
"shortCardNumber": "xxxx",
"bin": "xxxxxx",
"expiryDate": "2024-02-29",
"network": "Sample"
},
"timestamp": "2022-04-11 12:01:07",
"ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
"orderid": "1000987654321EZFJY",
"environment": "LIVE"
}
